%global srcname websocket-client
%global libname websocket

%global common_description %{expand:
websocket-client is a WebSocket client for Python.  It provides access to low level APIs
for WebSockets.  websocket-client implements version hybi-13 of the WebSocket protocol.
This client does not currently support the permessage-deflate extension from RFC 7692.}

Summary:            WebSocket client for python
Name:               python-%{srcname}
Version:            1.6.3
Release:            1%{?dist}
License:            ASL 2.0
URL:                https://github.com/websocket-client/websocket-client
Source0:            %pypi_source
BuildArch:          noarch

%description %{common_description}

%package -n python3-%{srcname}
Summary:            %{summary}
BuildRequires:      python3-devel
BuildRequires:      %{py3_dist pytest}

%description -n python3-%{srcname} %{common_description}

%prep
%autosetup -n %{srcname}-%{version}

%generate_buildrequires
%pyproject_buildrequires -x test

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{libname}

%check
%pytest websocket/tests


%files -n python3-%{srcname} -f %{pyproject_files}
%license LICENSE
%doc README.md ChangeLog
%{_bindir}/wsdump

%changelog
* Mon Sep 25 2023 Shuo Wang <abushwang@tencent.com> - 1.6.3-1
- update to 1.6.3

* Tue Sep 19 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.3.3-5
- Rebuilt for python 3.11

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.3.3-4
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.3.3-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.3.3-2
- Rebuilt for OpenCloudOS Stream 23

* Wed Jan 11 2023 Shuo Wang <abushwang@tencent.com> - 1.3.3-1
- initial build
